ObservableObjectValue (JavaFX 19)
Description: declaration: module: javafx.base, package: javafx.beans.value, interface: ObservableObjectValue

Module javafx.base
Package javafx.beans.value

# Interface ObservableObjectValue<T>

All Superinterfaces:
  `Observable`, `ObservableValue<T>`

All Known Subinterfaces:
  `ObservableListValue<E>`, `ObservableMapValue<K,V>`, `ObservableSetValue<E>`, `ObservableStringValue`, `TextInputControl.Content`

All Known Implementing Classes:
  `JavaBeanObjectProperty`, `JavaBeanStringProperty`, `ListBinding`, `ListExpression`, `ListProperty`, `ListPropertyBase`, `MapBinding`, `MapExpression`, `MapProperty`, `MapPropertyBase`, `ObjectBinding`, `ObjectExpression`, `ObjectProperty`, `ObjectPropertyBase`, `ReadOnlyJavaBeanObjectProperty`, `ReadOnlyJavaBeanStringProperty`, `ReadOnlyListProperty`, `ReadOnlyListPropertyBase`, `ReadOnlyListWrapper`, `ReadOnlyMapProperty`, `ReadOnlyMapPropertyBase`, `ReadOnlyMapWrapper`, `ReadOnlyObjectProperty`, `ReadOnlyObjectPropertyBase`, `ReadOnlyObjectWrapper`, `ReadOnlySetProperty`, `ReadOnlySetPropertyBase`, `ReadOnlySetWrapper`, `ReadOnlyStringProperty`, `ReadOnlyStringPropertyBase`, `ReadOnlyStringWrapper`, `SetBinding`, `SetExpression`, `SetProperty`, `SetPropertyBase`, `SimpleListProperty`, `SimpleMapProperty`, `SimpleObjectProperty`, `SimpleSetProperty`, `SimpleStringProperty`, `SimpleStyleableObjectProperty`, `SimpleStyleableStringProperty`, `StringBinding`, `StringExpression`, `StringProperty`, `StringPropertyBase`, `StyleableObjectProperty`, `StyleableStringProperty`

public interface ObservableObjectValue<T> extends ObservableValue<T>
An observable typed `Object` value.

Since:
  JavaFX 2.0
See Also:
  - `ObservableValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`
  Returns the current value of this `ObservableObjectValue<T>`.

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener`

- ## Method Details

  - ### get

    T get()
    Returns the current value of this `ObservableObjectValue<T>`.
    Returns:
      The current value